%global debug_package %{nil}
%bcond_without  gui

Name:           ansifilter
Version:        2.20
Release:    1%{?dist}
Summary:        ANSI terminal escape code converter
License:        GPLv3+
URL:            http://www.andre-simon.de/doku/ansifilter/ansifilter.php
Source0:        http://www.andre-simon.de/zip/%{name}-%{version}.tar.bz2
BuildRequires:  gcc-c++
%if %{with gui}
Source1:        ansifilter.desktop
Source2:        http://www.andre-simon.de/img/af_icon.png
%endif

%description
Ansifilter handles text files containing ANSI terminal escape codes. The
command sequences may be stripped or be interpreted to generate formatted
output (HTML, RTF, TeX, LaTeX, BBCode).

%if %{with gui}
%package        gui
Summary:        GUI for %{name} based on Qt5
BuildRequires:  desktop-file-utils
BuildRequires:  qt5-qtbase-devel
BuildRequires: make

%description    gui
Ansifilter handles text files containing ANSI terminal escape codes. The
command sequences may be stripped or be interpreted to generate formatted
output (HTML, RTF, TeX, LaTeX, BBCode).

This is a GUI of %{name} based on Qt5.
%endif

%prep
%autosetup

sed -i 's|install -m|install -pm|g' makefile

%if %{with gui}
rm -frv src/qt-gui/moc_*.cpp
rm -frv src/qt-gui/Makefile*
%endif

find . -type f -exec sed -i 's/\r$//' {} + -print

%build
%make_build CFLAGS+="%{optflags} -c" LDFLAGS="%{?__global_ldflags}"

%if %{with gui}
%make_build all-gui QMAKE="%{_qt5_qmake}"
%endif

%install
%make_install

%if %{with gui}
make install-gui DESTDIR=%{buildroot}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{S:1}
install -pDm644 %{S:2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%endif

rm -frv %{buildroot}%{_docdir}

%files
%doc ChangeLog* README*
%license COPYING
%{_bindir}/ansifilter
%{_mandir}/man1/ansifilter.1*
%{_datadir}/bash-completion/completions/ansifilter
%{_datadir}/fish/vendor_completions.d/ansifilter.fish
%{_datadir}/zsh/site-functions/_ansifilter

%if %{with gui}
%files gui
%doc ChangeLog* README*
%license COPYING
%{_bindir}/ansifilter-gui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/ansifilter.*
%endif

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.20-1
- initial build
